<!-- <ion-header>
  <ion-toolbar>
    <ion-title>Добавить Рекламы</ion-title>
    <ion-button slot="end" (click)="signOut()">
      Выход
    </ion-button>
  </ion-toolbar>
</ion-header>

<ion-content>
  <h4 class="ion-text-center">При добавление ноый рекламы постарайтесь не пропустить блоки.</h4>
  <ion-list>
    <ion-radio-group allow-empty-selection="true" (ionSelect)="goFish($event)">
      <div class="radioBtn">
        <ion-item>
          <ion-label>Обычный</ion-label>
          <ion-radio slot="start" value="classic" checked></ion-radio>
        </ion-item>
        <ion-item>
          <ion-label>Внимание</ion-label>
          <ion-radio slot="start" value="premium"></ion-radio>
        </ion-item>
      </div>
    </ion-radio-group>
  </ion-list>

  <ion-item>
    <ion-label position="floating" required>Имя Рекламадатела</ion-label>
    <ion-input [(ngModel)]="inf.nameOf" type="text" required></ion-input>
  </ion-item>
  <ion-item>
    <ion-label position="floating" required>Тема Рекламы</ion-label>
    <ion-input [(ngModel)]="inf.name" type="text" required></ion-input>
  </ion-item>
  <ion-item>
    <ion-label position="floating">Номер Телефона</ion-label>
    <ion-input [(ngModel)]="inf.phoneNumber" type="tel" minlength="13" maxlength="13"></ion-input>
  </ion-item>
  <ion-item>
    <ion-label position="floating">Номер WhatsApp</ion-label>
    <ion-input [(ngModel)]="inf.whatsApp" type="tel" minlength="13" maxlength="13"></ion-input>
  </ion-item>

  <ion-item>
    <ion-textarea [(ngModel)]="inf.description" placeholder="Описание...." rows="5"></ion-textarea>
  </ion-item>

  <ion-item>
    <ion-label position="floating" required>Цена</ion-label>
    <ion-input [(ngModel)]="inf.price" type="text" required></ion-input>
  </ion-item>

  <ion-item>
    <ion-label>Дата</ion-label>
    <ion-datetime [(ngModel)]="inf.time" id="dynamicDisabled" displayFormat="MM DD YY" required></ion-datetime>
  </ion-item>


  <div class="ion-text-center">
    <ion-button (click)="openImagePicker()">
      Загрузить Фото
    </ion-button>
  </div>

  <div *ngFor="let image of selectedImages">
    <p>
      {{image}}
    </p>
  </div>
  <ion-footer class="admin-footer">

    <ion-button class="ion-button-class" (click)="addInfo()">
      Опубликовать
    </ion-button>


    <ion-button class="ion-button-class" shape="round" (click)="cancel()">
      Отмена
    </ion-button>
  </ion-footer>

</ion-content> -->

<ion-content>
  <div class="css-17">
    <div class="header">
      <div class="back-button-start" routerLink="/home">
        <img class="icon" src='/assets/svg/back.svg'>
      </div>

      <div class="home-likebutton" routerLink="/home">
        <div class="home">
          <img class="icon" src='/assets/svg/home-run.svg'>
        </div>
        <div class="like" (click)="cancel()">
          <img class="icon" src='/assets/svg/close.svg'>
        </div>
      </div>
    </div>
  </div>

  <!-- <ion-content> -->
    <ion-slides *ngIf="!editConfirmed"  scrollbar="android" class="start_swiper_slide">
      <ion-slide class="swiper-slide" *ngFor="let image of images">
        <div class="slider_image-wrap">
          <img class="imageOfslide" src="{{image}}" alt="" />
        </div>
      </ion-slide>
    </ion-slides>

    <ion-slides *ngIf="editConfirmed"  scrollbar="android" class="start_swiper_slide">
      <ion-slide class="swiper-slide" *ngFor="let image of inf.images">
        <div class="slider_image-wrap">
          <img class="imageOfslide" src="{{image}}" alt="" />
        </div>
      </ion-slide>
    </ion-slides>
    <div class="camera-div" *ngIf="!editConfirmed" >
      <div class="ion-text-center">
        <ion-button (click)="openImagePicker()">
          Загрузить Фото
        </ion-button>
      </div>
    </div>
    <p class="ion-text-center">При добавление ноый рекламы постарайтесь не пропустить блоки.</p>
    <ion-list>
      <ion-radio-group allow-empty-selection="true" (ionSelect)="goFish($event)">
        <div class="radioBtn">
          <ion-item>
            <ion-label>Обычный</ion-label>
            <ion-radio slot="start" value="classic" checked></ion-radio>
          </ion-item>
          <ion-item>
            <ion-label>Внимание</ion-label>
            <ion-radio slot="start" value="premium"></ion-radio>
          </ion-item>
        </div>
      </ion-radio-group>
    </ion-list>
    <h4 style="text-align: center;"><input style="width: 95%;" type="text" value="inf.name" [(ngModel)]="inf.name" /></h4>
    <div class="price-bar">
      <span class="heading"><input type="text" value="inf.price" [(ngModel)]="inf.price" /></span>
    </div>

    <div class="price-bar">
      <span class="number">Тел.номер:  <input type="text" value="inf.price" [(ngModel)]="inf.phoneNumber" /></span>
    </div>
    <div class="price-bar">
      <span class="number">WhatsApp:  <input type="text" value="inf.price" [(ngModel)]="inf.whatsApp" /></span>
    </div>
    <ion-item>
      <ion-label>Дата</ion-label>
      <ion-datetime [(ngModel)]="inf.time" id="dynamicDisabled" displayFormat="MM DD YY" required></ion-datetime>
    </ion-item>
    
    <div class="desc-div">
      <p class="desc-text">
        <span>
          <ion-textarea [(ngModel)]="inf.description" placeholder="Описание...." rows="9"></ion-textarea>
        </span>
      </p>
    </div>

    <div class="ion-text-center" *ngIf="!editConfirmed" >
      <ion-button class="ion-button-class" (click)="addInfo()">
        Опубликовать
      </ion-button>
    </div>
    <div class="ion-text-center" *ngIf="editConfirmed" >
      <ion-button class="ion-button-class" (click)="updateInfo()">
        Опубликоватьa
      </ion-button>
    </div>
  
  </ion-content>

<!-- </ion-content> -->